PrepareMessage (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.streaming.messages

## Class PrepareMessage

- java.lang.Object
- - org.apache.cassandra.streaming.messages.StreamMessage
  - - org.apache.cassandra.streaming.messages.PrepareMessage

-     public class PrepareMessage
      extends StreamMessage

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.streaming.messages.StreamMessage

      `StreamMessage.Serializer<V extends StreamMessage>, StreamMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Collection<StreamRequest>` | `requests` Streaming requests
    `static StreamMessage.Serializer<PrepareMessage>` | `serializer`
    `java.util.Collection<StreamSummary>` | `summaries` Summaries of streaming out

    - ### Fields inherited from class org.apache.cassandra.streaming.messages.StreamMessage

      `CURRENT_VERSION, type, VERSION_20, VERSION_22, VERSION_30`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrepareMessage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.streaming.messages.StreamMessage

      `deserialize, getPriority, sent, serialize, wasSent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static StreamMessage.Serializer<PrepareMessage> serializer

    - #### requests

          public final java.util.Collection<StreamRequest> requests

      Streaming requests

    - #### summaries

          public final java.util.Collection<StreamSummary> summaries

      Summaries of streaming out

  - ### Constructor Detail

    - #### PrepareMessage

          public PrepareMessage()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation